Name:           perl-Mail-Box
Version:        3.010
Release:    1%{?dist}
Summary:        Manage a mailbox, a folder with messages
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Mail-Box
Source0:        https://cpan.metacpan.org/authors/id/M/MA/MARKOV/Mail-Box-%{version}.tar.gz
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(base)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Cwd)
BuildRequires:  perl(Date::Parse)
BuildRequires:  perl(Devel::GlobalDestruction) >= 0.09
BuildRequires:  perl(Errno)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Fcntl)
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(File::Compare)
BuildRequires:  perl(File::Copy)
BuildRequires:  perl(File::FcntlLock)
BuildRequires:  perl(File::Find)
BuildRequires:  perl(File::Remove) >= 0.20
BuildRequires:  perl(File::Spec) >= 0.7
BuildRequires:  perl(FileHandle)
BuildRequires:  perl(filetest)
BuildRequires:  perl(IO::File)
BuildRequires:  perl(IO::Handle)
BuildRequires:  perl(IO::Scalar)
BuildRequires:  perl(lib)
BuildRequires:  perl(List::Util)
BuildRequires:  perl(Mail::Box::Parser::Perl)
BuildRequires:  perl(Mail::Message) >= 3.013
BuildRequires:  perl(Mail::Message::Body)
BuildRequires:  perl(Mail::Message::Body::File)
BuildRequires:  perl(Mail::Message::Body::Lines)
BuildRequires:  perl(Mail::Message::Body::Multipart)
BuildRequires:  perl(Mail::Message::Body::String)
BuildRequires:  perl(Mail::Message::Construct)
BuildRequires:  perl(Mail::Message::Head)
BuildRequires:  perl(Mail::Reporter)
BuildRequires:  perl(Mail::Transport) >= 3.0
BuildRequires:  perl(Object::Realize::Later) >= 0.19
BuildRequires:  perl(overload)
BuildRequires:  perl(POSIX)
BuildRequires:  perl(Scalar::Util) >= 1.13
BuildRequires:  perl(strict)
BuildRequires:  perl(Sys::Hostname)
BuildRequires:  perl(Test::More) >= 0.47
BuildRequires:  perl(User::Identity::Collection)
BuildRequires:  perl(User::Identity::Item)
BuildRequires:  perl(vars)
BuildRequires:  perl(warnings)
BuildArch:      noarch

%description
The Mail::Box folder is a modern mail-folder manager -- at least at
the moment of this writing ;)  It is written to replace Mail::Folder,
although its interface is different.

%prep
%setup -q -n Mail-Box-%{version}

%{?perl_default_filter}
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Mail::SpamAssassin[:\\)]

%build
yes y |%{__perl} Makefile.PL INSTALLDIRS=vendor
make

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'
%{_fixperms} %{buildroot}/*
rm -f %{buildroot}%{perl_vendorlib}/Mail/Box-Overview.pod
rm -f %{buildroot}%{perl_vendorlib}/Mail/Box-Cookbook.pod
rm -f %{buildroot}%{perl_vendorlib}/Mail/Box-Index.pod

%check
make test

%files
%doc README.md README.todo ChangeLog examples/
%{perl_vendorlib}/Mail/
%{_mandir}/man3/*.3*

%changelog
* Thu Jun 20 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.010-1
- initial build
